from django.urls import path

from . import views

urlpatterns = [
    path("create/", views.ElectionCreateView.as_view(), name="election.create"),
    path("created/", views.ElectionListView.as_view(), name="election.created"),
    path("admin/<int:pk>", views.ElectionAdminView.as_view(), name="election.admin"),
    path("update/<int:pk>", views.ElectionUpdateView.as_view(), name="election.update"),
    path("tally/<int:pk>", views.ElectionTallyView.as_view(), name="election.tally"),
    path(
        "publish/<int:pk>",
        views.ElectionChangePublicationView.as_view(),
        name="election.publish",
    ),
    path(
        "archive/<int:pk>", views.ElectionArchiveView.as_view(), name="election.archive"
    ),
    path("view/<int:pk>", views.ElectionView.as_view(), name="election.view"),
    path("vote/<int:pk>", views.VoteView.as_view(), name="election.vote"),
]
